Loading...
Searching...
No Matches
ojph::local::bit_write_buf Struct Reference

`#include <ojph_bitbuffer_write.h>`

## Public Member Functions

| bit_write_buf ()

## Public Attributes

coded_lists * | ccl
int | avail_bits
ui64 | tmp

## Static Public Attributes

static const int | needed = 512

## Detailed Description

Definition at line 55 of file ojph_bitbuffer_write.h.

## Constructor & Destructor Documentation

## bit_write_buf()

ojph::local::bit_write_buf::bit_write_buf | ( |  | ) |

inline

Definition at line 59 of file ojph_bitbuffer_write.h.

References avail_bits, ccl, and tmp.

## Member Data Documentation

## avail_bits

int ojph::local::bit_write_buf::avail_bits

Definition at line 61 of file ojph_bitbuffer_write.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_put_bit(), ojph::local::bb_terminate(), and bit_write_buf().

## ccl

coded_lists* ojph::local::bit_write_buf::ccl

Definition at line 60 of file ojph_bitbuffer_write.h.

Referenced by ojph::local::bb_expand_buf(), ojph::local::bb_put_bit(), ojph::local::bb_terminate(), and bit_write_buf().

## needed

const int ojph::local::bit_write_buf::needed = 512

static

Definition at line 57 of file ojph_bitbuffer_write.h.

Referenced by ojph::local::bb_expand_buf(), and ojph::local::bb_put_bit().

## tmp

ui64 ojph::local::bit_write_buf::tmp

Definition at line 62 of file ojph_bitbuffer_write.h.

Referenced by ojph::local::bb_expand_buf(), ojph::local::bb_put_bit(), ojph::local::bb_terminate(), and bit_write_buf().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/codestream/ojph_bitbuffer_write.h